### Virtual Method

# Foundry DocumentationProvider query

#### Declaration [src]

    DexFuture*
    query (
      FoundryDocumentationProvider* self,
      FoundryDocumentationQuery* query,
      FoundryDocumentationMatches* matches
    )

#### Description [src]

Providers are expected to add their search sections to `matches` using `foundry_documentation_matches_add_section()`.

#### Parameters

`query`

  Type: `FoundryDocumentationQuery`

  A `FoundryDocumentationQuery`.

  The data is owned by the caller of the method.

`matches`

  Type: `FoundryDocumentationMatches`

  A `FoundryDocumentationMatches`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.